package com.bsoft.api.service.Impl;

import com.bsoft.api.mapper.SysUserMenuRsMapper;
import com.bsoft.api.model.SysUserMenuRs;
import com.bsoft.api.service.SysUserMenuRsService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.util.List;

@Service
public class SysUserMenuRsServiceImpl implements SysUserMenuRsService {
    @Resource
    private SysUserMenuRsMapper sysUserMenuRsMapper;

    @Override
    public int add(SysUserMenuRs sysUserMenuRs) {
        return sysUserMenuRsMapper.insert(sysUserMenuRs);
    }

    @Override
    public List<SysUserMenuRs> findAll() {
        return sysUserMenuRsMapper.selectAll();
    }

    @Override
    public SysUserMenuRs find(int id) {
        return sysUserMenuRsMapper.selectByPrimaryKey(BigDecimal.valueOf(id));
    }

    @Override
    public int delete(int id) {
        return sysUserMenuRsMapper.deleteByPrimaryKey(BigDecimal.valueOf(id));
    }

    @Override
    public int logicDelete(int id) {
        return 0;
    }

    @Override
    public int update(SysUserMenuRs sysUserMenuRs) {
        return sysUserMenuRsMapper.updateByPrimaryKey(sysUserMenuRs);
    }
}
