package com.bsoft.api.service.Impl;
import com.bsoft.api.mapper.DicOrgMapper;
import com.bsoft.api.model.DicOrg;
import com.bsoft.api.service.DicOrgService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.util.List;

@Service
public class dicOrgServiceImpl implements DicOrgService {
    @Resource
    private DicOrgMapper dicOrgMapper;

    @Override
    public int add(DicOrg dicOrg) {
        return dicOrgMapper.insert(dicOrg);
    }

    @Override
    public List<DicOrg> findAll() {
        return dicOrgMapper.selectAll();
    }

    @Override
    public DicOrg find(int id) {
        return dicOrgMapper.selectByPrimaryKey(BigDecimal.valueOf(id));
    }

    @Override
    public int delete(int id) {
        return dicOrgMapper.deleteByPrimaryKey(BigDecimal.valueOf(id));
    }

    @Override
    public int logicDelete(int id) {
        return 0;
    }

    @Override
    public int update(DicOrg dicOrg) {
        return dicOrgMapper.updateByPrimaryKey(dicOrg);
    }
}
